| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
dar_suite.hpp File Reference
Command-line

contains routine to manage CLI's common initialization and ultimate exception catching More...

`#include "../my_config.h"`
`#include "shell_interaction.hpp"`

Go to the source code of this file.

## Macros
#define | EXIT_OK 0
#define | EXIT_SYNTAX 1
#define | EXIT_ERROR 2
#define | EXIT_BUG 3
#define | EXIT_USER_ABORT 4
#define | EXIT_DATA_ERROR 5
#define | EXIT_SCRIPT_ERROR 6
#define | EXIT_LIBDAR 7
#define | EXIT_LIMITINT 8
#define | EXIT_UNKNOWN_ERROR 9
#define | EXIT_COMPILATION 10
#define | EXIT_SAVED_MODIFIED 11
#define | EXTENSION "dar"
#define | __VERSION__ "unknown"
| the compiler version MACRO
#define | CC_NAT "unknown"
| the compiler Nature MACRO

## Functions
void | dar_suite_reset_signal_handler ()
int | dar_suite_global (int argc, char *const argv[], const char **env, const char *getopt_string, char stop_scan, int(*call)(shell_interaction &dialog, int, char *const [], const char **env))
std::string | dar_suite_command_line_features ()

## Detailed Description

contains routine to manage CLI's common initialization and ultimate exception catching

Definition in file dar_suite.hpp.